<!DOCTYPE HTML>
<html>
    <head>

        <!-- Mobile Responsive Meta Tag -->
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Bootstrap Introduction and Simple Styles</title>



        <!-- Link for bootstrap -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
    </head>
    <body class="text-center bg-secondary">

        <!-- Navbar -->
        <div class="fixed-top bg-primary text-light p-1">
            Fixed Top - Navbar
        </div>
        <!-- End of Navbar -->

        <!-- Header -->
        <div class="text-center mt-5" >

            <h1>Bootstrap Introduction and Simple Styles</h1>

            <div class="d-lg-inline-block w-25 mt-4">
                <img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">
            </div>

        </div>
        <!-- End of Header -->

        <!-- Bootstrap Utility Classes -->
        <div >

            <!-- Bootstrap Color Classes Table -->
            <h2>Bootstrap Color Classes</h2>

            <table class="table table-dark table-bordered">
                <thead>
                    <tr>
                        <th>Text</th>
                        <th>Background</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            <a href="#" class="text-primary">
                                Primary link
                            </a>
                        </td>
                        <td class="bg-primary text-white" >
                            Primary
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-secondary">
                                Secondary link
                            </a>
                        </td>
                        <td class="bg-secondary text-white">
                            Secondary
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-success">
                                Success link
                            </a>
                        </td>
                        <td class="bg-success text-white">
                            Success
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#"class="danger-text" >
                                Danger link
                            </a>
                        </td>
                        <td class="bg-danger text-white" >
                            Danger
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-warning" >
                                Warning link
                            </a>
                        </td>
                        <td class="bg-warning text-white" >
                            Warning
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-info" >
                                Info link
                            </a>
                        </td>
                        <td class="bg-info text-white" >
                            Info
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-light" >
                                Light link
                            </a>
                        </td>
                        <td class="bg-light text-dark">
                            Light
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-dark bg-white" >
                                Dark link
                            </a>
                        </td>
                        <td class="bg-dark text-white" >
                            Dark
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-muted" >
                                Muted link
                            </a>
                        </td>
                        <td class="bg-transparent">
                            Transparent
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-white" >
                                White link
                            </a>
                        </td>
                        <td class="bg-white text-dark">
                            White
                        </td>
                    </tr>
                </tbody>
            </table>
            <!-- End of Bootstrap Color Classes Table -->

            <!-- Bootstrap Text Alignment Classes Table -->
            <h2>Bootstrap Text Classes</h2>

            <table class="table table-dark text-light table-bordered" >
                <thead>
                    <tr>
                        <th>Alignment</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="text-left" >Left</td>
                    </tr>
                    <tr>
                        <td class="text-center">Center</td>
                    </tr>
                    <tr>
                        <td >Right</td>
                    </tr>
                    <tr>
                        <!-- For extra small screens or small mobile phones, we can avoid using breakpoints -->
                        <!-- All mobile views in Google Chrome browser are considered small screen sizes -->
                        <!-- Screen size is greater than or equal to 576px -->
                        <!-- Larger mobile phones -->
                        <td class="text-sm-center text-lg-right" >Small Center</td>
                    </tr>
                    <tr>
                        <!-- Screen size is greater than or equal to 786px -->
                        <!-- Tablets -->
                        <td class="text-right text-md-left" > Others Right/Medium Left</td>
                    </tr>
                    <tr>
                        <!-- Screen size is greater than or equal to 992px -->
                        <!-- Desktop -->
                        <td class="text-lg-right">Large Right</td>
                    </tr>
                    <tr>
                        <!-- Screen size is greater than or equal to 1200px -->
                        <!-- TV and other large screens -->
                        <td class="text-right text-xl-right">Extra Large Center</td>
                    </tr>
                </tbody>
            </table>
            <!-- End of Bootstrap Text Alignment Classes Table -->

            <!-- Bootstrap Other Text Classes Table -->
            <table class="table table-dark table-bordered text-light" >
                <thead>
                    <tr>
                        <th>Text Transform</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="text-lowercase font-weight-bold" >
                            LOWERCASED BOLD TEXT
                        </td>
                    </tr>
                    <tr>
                        <td class="text-uppercase font-weight-normal" >
                            uppercased normal text
                        </td>
                    </tr>
                    <tr>
                        <td class="text-capitalize font-weight-light"> 
                            capitalized light text
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-decoration-none font-italic" >
                                Non-underlined Italic Link
                            </a>
                        </td>
                    </tr>
                </tbody>
            </table>
            <!-- End of Bootstrap Other Text Classes Table -->

            <!-- Bootstrap Border and Sizing Classes Table -->
            <h2>Bootstrap Border and Sizing Classes</h2>

            <table class="table table-dark table-bordered text-light mb-4">
                <thead>
                    <tr>
                        <th>Border</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            <div class="bg-info border border-light rounded w-100" >
                                Rounded
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="bg-secondary border rounded-circle w-100" >
                                Rounded Circle
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="bg-warning border border-danger reound-pill w-100" >
                                Rounded Pill
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
            <!-- End of Bootstrap Border and Sizing Classes Table -->
            
        </div>
        <!-- End of Bootstrap Utility Classes -->

        <!-- Footer -->
        <div class="fixed-bottom bg-primary text-light p-1 mt-3" >
            Fixed Bottom - Footer
        </div>
        <!-- End of Footer -->

        <!-- Script for Bootstrap -->

        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

    </body>
</html>